Bug 226187 - Crash when dragging bookmarks from one folder to another [invalid QDomNode, KBookmark, TreeItem::bookmark, KBookmarkModel::bookmarkForIndex]
Summary: Crash when dragging bookmarks from one folder to another [invalid QDomNode, K...
Status: RESOLVED DUPLICATE of bug 287038
Alias: None
Product: keditbookmarks
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR crash with 10 votes (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
: 253100 257557 266642 290570 294031 301493 317492 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-02-10 20:03 UTC by Peter Hedlund
Modified: 2013-06-24 01:08 UTC (History)
26 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (11.86 KB, text/plain)
2010-03-15 18:29 UTC, Lothar Werzinger
Details
New crash information added by DrKonqi (12.71 KB, text/plain)
2010-04-13 18:42 UTC, Antonis Kanouras
Details
New crash information added by DrKonqi (12.30 KB, text/plain)
2010-08-03 09:24 UTC, Venkata Rama Krishna Boddu
Details
New crash information added by DrKonqi (11.91 KB, text/plain)
2010-08-11 14:39 UTC, Sascha Peilicke
Details
New crash information added by DrKonqi (11.21 KB, text/plain)
2010-08-17 15:16 UTC, Martti Laaksonen
Details
New crash information added by DrKonqi (8.95 KB, text/plain)
2010-08-18 20:12 UTC, Yohan Pereira
Details
New crash information added by DrKonqi (12.99 KB, text/plain)
2010-09-01 00:47 UTC, Marlon Rodriguez
Details
New crash information added by DrKonqi (12.99 KB, text/plain)
2010-09-18 03:06 UTC, RussianNeuroMancer
Details
New crash information added by DrKonqi (12.34 KB, text/plain)
2010-12-15 10:56 UTC, Ivaylo Kabakov
Details
New crash information added by DrKonqi (12.34 KB, text/plain)
2010-12-15 11:03 UTC, Ivaylo Kabakov
Details
New crash information added by DrKonqi (12.34 KB, text/plain)
2010-12-15 11:03 UTC, Ivaylo Kabakov
Details
New crash information added by DrKonqi (12.19 KB, text/plain)
2011-01-16 03:01 UTC, sam
Details
New crash information added by DrKonqi (11.55 KB, text/plain)
2011-02-17 19:39 UTC, Dmitriy
Details
New crash information added by DrKonqi (13.01 KB, text/plain)
2011-05-15 13:58 UTC, Volker Kuhlmann
Details
New crash information added by DrKonqi (13.38 KB, text/plain)
2011-05-18 00:49 UTC, Vladislav Blanton
Details
New crash information added by DrKonqi (9.24 KB, text/plain)
2011-06-10 06:52 UTC, Jordan Klassen
Details
New crash information added by DrKonqi (12.44 KB, text/plain)
2011-07-10 09:47 UTC, Aleksandar Ostojic
Details
New crash information added by DrKonqi (12.02 KB, text/plain)
2011-09-09 13:12 UTC, Ivaylo Kabakov
Details
New crash information added by DrKonqi (5.41 KB, text/plain)
2013-02-15 12:24 UTC, Aleksander Kwiatkowski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Hedlund 2010-02-10 20:03:20 UTC
Application: keditbookmarks (4.4.00 (KDE 4.4.0))
KDE Platform Version: 4.4.00 (KDE 4.4.0)
Qt Version: 4.6.1
Operating System: Linux 2.6.31.12-174.2.3.fc12.x86_64 x86_64
Distribution: "Fedora release 12 (Constantine)"

-- Information about the crash:
I imported a set of bookmark and then set out to rearrange the combined set. When selecting bookmarks in one subfolder and dragging them to another folder the editor crashes. I have tried several times with the same result.

 -- Backtrace:
Application: Bookmark Editor (keditbookmarks), signal: Segmentation fault
82	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[KCrash Handler]
#5  QDomNode::QDomNode (this=0x7fff98a48570, n=...) at dom/qdom.cpp:2033
#6  0x0000003227a3d87d in KBookmark (this=<value optimized out>) at /usr/include/kde4/kbookmark.h:34
#7  TreeItem::bookmark (this=<value optimized out>) at /usr/src/debug/kdebase-4.4.0/apps/keditbookmarks/treeitem.cpp:88
#8  0x0000003227a3a461 in KBookmarkModel::bookmarkForIndex (this=<value optimized out>, index=<value optimized out>) at /usr/src/debug/kdebase-4.4.0/apps/keditbookmarks/bookmarkmodel.cpp:381
#9  0x0000003227a3b7b7 in KBookmarkModel::parent (this=0x1b088b0, index=...) at /usr/src/debug/kdebase-4.4.0/apps/keditbookmarks/bookmarkmodel.cpp:225
#10 0x00000031cc701bba in parent (this=0x1d22fd0, source_parent=...) at ../../src/corelib/kernel/qabstractitemmodel.h:389
#11 QSortFilterProxyModelPrivate::can_create_mapping (this=0x1d22fd0, source_parent=...) at itemviews/qsortfilterproxymodel.cpp:362
#12 0x00000031cc701d49 in QSortFilterProxyModelPrivate::_q_sourceRowsAboutToBeInserted (this=0x1d22fd0, source_parent=..., start=<value optimized out>, end=<value optimized out>)
    at itemviews/qsortfilterproxymodel.cpp:1235
#13 0x00000031cc7078a4 in QSortFilterProxyModel::qt_metacall (this=0x1d225e0, _c=InvokeMetaMethod, _id=11, _a=0x7fff98a48750) at .moc/release-shared/moc_qsortfilterproxymodel.cpp:134
#14 0x00000031cbb68adf in QMetaObject::activate (sender=0x1b088b0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fff98a48750) at kernel/qobject.cpp:3275
#15 0x00000031cbbaaff4 in QAbstractItemModel::rowsAboutToBeInserted (this=<value optimized out>, _t1=<value optimized out>, _t2=7, _t3=7) at .moc/release-shared/moc_qabstractitemmodel.cpp:174
#16 0x00000031cbb4eb43 in QAbstractItemModel::beginInsertRows (this=0x1b088b0, parent=..., first=7, last=7) at kernel/qabstractitemmodel.cpp:2393
#17 0x0000003227a29ea6 in KBookmarkModelInsertSentry (this=0x1bf88a0) at /usr/src/debug/kdebase-4.4.0/apps/keditbookmarks/commands.cpp:43
#18 CreateCommand::redo (this=0x1bf88a0) at /usr/src/debug/kdebase-4.4.0/apps/keditbookmarks/commands.cpp:162
#19 0x0000003227a28f42 in MoveCommand::redo (this=0x1d0c9c0) at /usr/src/debug/kdebase-4.4.0/apps/keditbookmarks/commands.cpp:455
#20 0x00000031cc7c2db9 in QUndoCommand::redo (this=0x2395190) at util/qundostack.cpp:208
#21 0x00000031cc7c40f3 in QUndoStack::push (this=0x1a77280, cmd=0x2395190) at util/qundostack.cpp:541
#22 0x0000003227a22b92 in CmdHistory::addCommand (this=0x1a77270, cmd=0x2395190) at /usr/src/debug/kdebase-4.4.0/apps/keditbookmarks/commandhistory.cpp:88
#23 0x0000003227a3b2e3 in KBookmarkModel::dropMimeData (this=<value optimized out>, data=<value optimized out>, action=<value optimized out>, row=<value optimized out>, column=<value optimized out>, 
    parent=<value optimized out>) at /usr/src/debug/kdebase-4.4.0/apps/keditbookmarks/bookmarkmodel.cpp:360
#24 0x00000031cc6791ed in QAbstractItemView::dropEvent (this=0x1d10550, event=0x7fff98a49920) at itemviews/qabstractitemview.cpp:1962
#25 0x00000031cc1f5828 in QWidget::event (this=0x1d10550, event=0x7fff98a49920) at kernel/qwidget.cpp:8168
#26 0x00000031cc56fac6 in QFrame::event (this=0x1d10550, e=0x7fff98a49920) at widgets/qframe.cpp:557
#27 0x00000031cc68485b in QAbstractItemView::viewportEvent (this=0x1d10550, event=0x7fff98a49920) at itemviews/qabstractitemview.cpp:1603
#28 0x00000031cc6bfc93 in QTreeView::viewportEvent (this=0x1d10550, event=0x7fff98a49920) at itemviews/qtreeview.cpp:1257
#29 0x00000031cbb55d87 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0x1d0d710, event=0x7fff98a49920) at kernel/qcoreapplication.cpp:819
#30 0x00000031cc1aa83c in QApplicationPrivate::notify_helper (this=0x187be50, receiver=0x1d0d710, e=0x7fff98a49920) at kernel/qapplication.cpp:4294
#31 0x00000031cc1b0ba8 in QApplication::notify (this=<value optimized out>, receiver=<value optimized out>, e=0x7fff98a49920) at kernel/qapplication.cpp:4106
#32 0x00007f2fac5487f6 in KApplication::notify (this=0x7fff98a4cdf0, receiver=0x1d0d710, event=0x7fff98a49920) at /usr/src/debug/kdelibs-4.4.0/kdeui/kernel/kapplication.cpp:302
#33 0x00000031cbb5696c in QCoreApplication::notifyInternal (this=0x7fff98a4cdf0, receiver=0x1d0d710, event=0x7fff98a49920) at kernel/qcoreapplication.cpp:704
#34 0x00000031cc22e4ea in sendEvent (this=<value optimized out>, xe=<value optimized out>, passive=<value optimized out>) at ../../src/corelib/kernel/qcoreapplication.h:215
#35 QX11Data::xdndHandleDrop (this=<value optimized out>, xe=<value optimized out>, passive=<value optimized out>) at kernel/qdnd_x11.cpp:1164
#36 0x00000031cc22e820 in QDragManager::drop (this=0x1a7f8e0) at kernel/qdnd_x11.cpp:1700
#37 0x00000031cc2308e0 in QDragManager::eventFilter (this=0x1a7f8e0, o=<value optimized out>, e=<value optimized out>) at kernel/qdnd_x11.cpp:1293
#38 0x00000031cbb55e4b in QCoreApplicationPrivate::sendThroughApplicationEventFilters (this=0x187be50, receiver=0x1a44180, event=0x7fff98a4a1e0) at kernel/qcoreapplication.cpp:800
#39 0x00000031cc1aa7e6 in QApplicationPrivate::notify_helper (this=0x187be50, receiver=0x1a44180, e=0x7fff98a4a1e0) at kernel/qapplication.cpp:4273
#40 0x00000031cc1b110d in QApplication::notify (this=<value optimized out>, receiver=0x1a44180, e=0x7fff98a4a1e0) at kernel/qapplication.cpp:3863
#41 0x00007f2fac5487f6 in KApplication::notify (this=0x7fff98a4cdf0, receiver=0x1a44180, event=0x7fff98a4a1e0) at /usr/src/debug/kdelibs-4.4.0/kdeui/kernel/kapplication.cpp:302
#42 0x00000031cbb5696c in QCoreApplication::notifyInternal (this=0x7fff98a4cdf0, receiver=0x1a44180, event=0x7fff98a4a1e0) at kernel/qcoreapplication.cpp:704
#43 0x00000031cc1b02fe in sendEvent (receiver=0x1a44180, event=0x7fff98a4a1e0, alienWidget=0x0, nativeWidget=0x1a44180, buttonDown=<value optimized out>, lastMouseReceiver=<value optimized out>, 
    spontaneous=<value optimized out>) at ../../src/corelib/kernel/qcoreapplication.h:215
#44 QApplicationPrivate::sendMouseEvent (receiver=0x1a44180, event=0x7fff98a4a1e0, alienWidget=0x0, nativeWidget=0x1a44180, buttonDown=<value optimized out>, lastMouseReceiver=<value optimized out>, 
    spontaneous=<value optimized out>) at kernel/qapplication.cpp:2963
#45 0x00000031cc221d65 in QETWidget::translateMouseEvent (this=0x1a44180, event=<value optimized out>) at kernel/qapplication_x11.cpp:4368
#46 0x00000031cc220a88 in QApplication::x11ProcessEvent (this=<value optimized out>, event=0x7fff98a4ab00) at kernel/qapplication_x11.cpp:3501
#47 0x00000031cc2496b2 in x11EventSourceDispatch (s=0x187f970, callback=<value optimized out>, user_data=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:146
#48 0x00000031ca63920e in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#49 0x00000031ca63cbf8 in ?? () from /lib64/libglib-2.0.so.0
#50 0x00000031ca63cd1a in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#51 0x00000031cbb7c2b3 in QEventDispatcherGlib::processEvents (this=0x1863c60, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#52 0x00000031cc24937e in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#53 0x00000031cbb553b2 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#54 0x00000031cbb5567c in QEventLoop::exec (this=0x2224f40, flags=...) at kernel/qeventloop.cpp:201
#55 0x00000031cc23345c in QDragManager::drag (this=0x1a7f8e0, o=<value optimized out>) at kernel/qdnd_x11.cpp:1960
#56 0x00000031cc1bdce8 in QDrag::exec (this=0x1cb24f0, supportedActions=..., defaultDropAction=MoveAction) at kernel/qdrag.cpp:282
#57 0x00000031cc682416 in QAbstractItemView::startDrag (this=0x1d10550, supportedActions=<value optimized out>) at itemviews/qabstractitemview.cpp:3375
#58 0x00000031cc68019e in QAbstractItemView::mouseMoveEvent (this=0x1d10550, event=<value optimized out>) at itemviews/qabstractitemview.cpp:1684
#59 0x00000031cc1f54b7 in QWidget::event (this=0x1d10550, event=0x7fff98a4bfa0) at kernel/qwidget.cpp:7963
#60 0x00000031cc56fac6 in QFrame::event (this=0x1d10550, e=0x7fff98a4bfa0) at widgets/qframe.cpp:557
#61 0x00000031cc68485b in QAbstractItemView::viewportEvent (this=0x1d10550, event=0x7fff98a4bfa0) at itemviews/qabstractitemview.cpp:1603
#62 0x00000031cc6bfc93 in QTreeView::viewportEvent (this=0x1d10550, event=0x7fff98a4bfa0) at itemviews/qtreeview.cpp:1257
#63 0x00000031cbb55d87 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0x1d0d710, event=0x7fff98a4bfa0) at kernel/qcoreapplication.cpp:819
#64 0x00000031cc1aa83c in QApplicationPrivate::notify_helper (this=0x187be50, receiver=0x1d0d710, e=0x7fff98a4bfa0) at kernel/qapplication.cpp:4294
#65 0x00000031cc1b110d in QApplication::notify (this=<value optimized out>, receiver=0x1d0d710, e=0x7fff98a4bfa0) at kernel/qapplication.cpp:3863
#66 0x00007f2fac5487f6 in KApplication::notify (this=0x7fff98a4cdf0, receiver=0x1d0d710, event=0x7fff98a4bfa0) at /usr/src/debug/kdelibs-4.4.0/kdeui/kernel/kapplication.cpp:302
#67 0x00000031cbb5696c in QCoreApplication::notifyInternal (this=0x7fff98a4cdf0, receiver=0x1d0d710, event=0x7fff98a4bfa0) at kernel/qcoreapplication.cpp:704
#68 0x00000031cc1b02fe in sendEvent (receiver=0x1d0d710, event=0x7fff98a4bfa0, alienWidget=0x1d0d710, nativeWidget=0x1d6c2b0, buttonDown=<value optimized out>, 
    lastMouseReceiver=<value optimized out>, spontaneous=<value optimized out>) at ../../src/corelib/kernel/qcoreapplication.h:215
#69 QApplicationPrivate::sendMouseEvent (receiver=0x1d0d710, event=0x7fff98a4bfa0, alienWidget=0x1d0d710, nativeWidget=0x1d6c2b0, buttonDown=<value optimized out>, 
    lastMouseReceiver=<value optimized out>, spontaneous=<value optimized out>) at kernel/qapplication.cpp:2963
#70 0x00000031cc221d65 in QETWidget::translateMouseEvent (this=0x1d6c2b0, event=<value optimized out>) at kernel/qapplication_x11.cpp:4368
#71 0x00000031cc220a88 in QApplication::x11ProcessEvent (this=<value optimized out>, event=0x7fff98a4c8c0) at kernel/qapplication_x11.cpp:3501
#72 0x00000031cc2496b2 in x11EventSourceDispatch (s=0x187f970, callback=<value optimized out>, user_data=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:146
#73 0x00000031ca63920e in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#74 0x00000031ca63cbf8 in ?? () from /lib64/libglib-2.0.so.0
#75 0x00000031ca63cd1a in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#76 0x00000031cbb7c2b3 in QEventDispatcherGlib::processEvents (this=0x1863c60, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#77 0x00000031cc24937e in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#78 0x00000031cbb553b2 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#79 0x00000031cbb5567c in QEventLoop::exec (this=0x7fff98a4cbf0, flags=...) at kernel/qeventloop.cpp:201
#80 0x00000031cbb57969 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#81 0x0000003227a1deb7 in kdemain (argc=<value optimized out>, argv=<value optimized out>) at /usr/src/debug/kdebase-4.4.0/apps/keditbookmarks/main.cpp:204
#82 0x0000003aec61eb1d in __libc_start_main (main=<value optimized out>, argc=<value optimized out>, ubp_av=<value optimized out>, init=<value optimized out>, fini=<value optimized out>, 
    rtld_fini=<value optimized out>, stack_end=<value optimized out>) at libc-start.c:226
#83 0x00000000004006c9 in _start ()

Possible duplicates by query: bug 222190, bug 214742, bug 206649, bug 190625.

Reported using DrKonqi
Comment 1 Lothar Werzinger 2010-03-15 18:29:43 UTC
Created attachment 41668 [details]
New crash information added by DrKonqi

getting crashes sometimes when dragging and dropping  bookmarks
Comment 2 Antonis Kanouras 2010-04-13 18:42:47 UTC
Created attachment 42753 [details]
New crash information added by DrKonqi

Same here, imported bookmarks from Firefox, then tried to drag n drop a set of folders. Dragging one folder at a time works fine.
Comment 3 Venkata Rama Krishna Boddu 2010-08-03 09:24:10 UTC
Created attachment 49766 [details]
New crash information added by DrKonqi

Edit Bookmarks is crashed when I tried to move multiple(>4) bookmarks from toplevel(Bookmarks) folder to another deeper level Bookmarks folder.
Comment 4 Sascha Peilicke 2010-08-11 14:39:43 UTC
Created attachment 50006 [details]
New crash information added by DrKonqi

keditbookmarks (4.5.00 (KDE 4.5.0)) on KDE Platform 4.5.00 (KDE 4.5.0) using Qt 4.6.3

- What I was doing when the application crashed:
Dragged a folder with subfolders onto another

-- Backtrace (Reduced):
#6  QDomNode::QDomNode (this=0x7fff9fc82fb0, n=@0x10) at dom/qdom.cpp:2033
#7  0x00007f19e82480ed in KBookmark (this=<value optimized out>) at /usr/include/kbookmark.h:34
#8  TreeItem::bookmark (this=<value optimized out>) at /usr/src/debug/kdebase-4.5.0/apps/keditbookmarks/kbookmarkmodel/treeitem.cpp:87
#9  0x00007f19e8246306 in KBookmarkModel::bookmarkForIndex (this=<value optimized out>, index=<value optimized out>) at /usr/src/debug/kdebase-4.5.0/apps/keditbookmarks/kbookmarkmodel/model.cpp:393
#10 0x00007f19e8246388 in KBookmarkModel::parent (this=0x7a15c0, index=...) at /usr/src/debug/kdebase-4.5.0/apps/keditbookmarks/kbookmarkmodel/model.cpp:260
Comment 5 Martti Laaksonen 2010-08-17 15:16:37 UTC
Created attachment 50653 [details]
New crash information added by DrKonqi

keditbookmarks (4.5.00 (KDE 4.5.0)) on KDE Platform 4.5.00 (KDE 4.5.0) using Qt 4.6.3

- What I was doing when the application crashed:

I had created a new bookmark folder in Konqueror->Bookmarks->New Bookmark Folder, then started bookmark editor, where I selected multiple bookmarks which I dragged over to the newly created bookmark folder. Upon releasing the mouse button the bookmark editor crashed.

Dragging bookmarks one at a time to the bookmark folder seems to work, but dragging more than one bookmark causes the editor to crash.

-- Backtrace (Reduced):
#6  QDomNode::QDomNode (this=0x7fffe34c78f0, n=...) at dom/qdom.cpp:2033
#7  0x00007f2848c8e95d in KBookmark (this=<value optimized out>) at /usr/include/kbookmark.h:34
#8  TreeItem::bookmark (this=<value optimized out>) at /usr/src/debug/kdebase-4.5.0/apps/keditbookmarks/kbookmarkmodel/treeitem.cpp:87
#9  0x00007f2848c8c3f1 in KBookmarkModel::bookmarkForIndex (this=<value optimized out>, index=...) at /usr/src/debug/kdebase-4.5.0/apps/keditbookmarks/kbookmarkmodel/model.cpp:393
#10 0x00007f2848c8e1d7 in KBookmarkModel::parent (this=0x6ff480, index=...) at /usr/src/debug/kdebase-4.5.0/apps/keditbookmarks/kbookmarkmodel/model.cpp:260
Comment 6 Yohan Pereira 2010-08-18 20:12:25 UTC
Created attachment 50706 [details]
New crash information added by DrKonqi

keditbookmarks (4.5.00 (KDE 4.5.0)) on KDE Platform 4.5.00 (KDE 4.5.0) using Qt 4.6.3

- What I was doing when the application crashed:

dragging multiple bookmarks to a sub folder.

-- Backtrace (Reduced):
#6  0x00000034ab412520 in QDomNode::QDomNode(QDomNode const&) () from /usr/lib64/qt4/libQtXml.so.4
#11 0x00000034b5d6a5d9 in QSortFilterProxyModelPrivate::_q_sourceRowsAboutToBeInserted(QModelIndex const&, int, int) () from /usr/lib64/qt4/libQtGui.so.4
#12 0x00000034b5d70d54 in QSortFilterProxyModel::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/qt4/libQtGui.so.4
[...]
#14 0x00000034aafc6f44 in QAbstractItemModel::rowsAboutToBeInserted(QModelIndex const&, int, int) () from /usr/lib64/qt4/libQtCore.so.4
#15 0x00000034aaf5ffb0 in QAbstractItemModel::beginInsertRows(QModelIndex const&, int, int) () from /usr/lib64/qt4/libQtCore.so.4
Comment 7 Marlon Rodriguez 2010-09-01 00:47:53 UTC
Created attachment 51156 [details]
New crash information added by DrKonqi

1.-Copy and pasted the same bookmark several times then edited the contents.
2.-Highlighted all the ones I created and tried moving them into one folder.
3.-Crashed.

This can be done as many times as you want.  If it makes it easier I'm using Krdc bookmarks then clicking on Bookmarks>Edit Bookmarks.
Comment 8 RussianNeuroMancer 2010-09-18 03:06:22 UTC
Created attachment 51767 [details]
New crash information added by DrKonqi

keditbookmarks (4.5.1 (KDE 4.5.1)) on KDE Platform 4.5.1 (KDE 4.5.1) using Qt 4.7.0

- What I was doing when the application crashed:

Same situation - drag bookmarks from one folder to another.

-- Backtrace (Reduced):
#6  QDomNode::QDomNode (this=0x7fffa0274230, n=...) at dom/qdom.cpp:2038
#7  0x00007f07d03554dd in KBookmark (this=<value optimized out>) at //usr/include/kbookmark.h:35
#8  TreeItem::bookmark (this=<value optimized out>) at ../../../../apps/keditbookmarks/kbookmarkmodel/treeitem.cpp:87
#9  0x00007f07d0352ec1 in KBookmarkModel::bookmarkForIndex (this=<value optimized out>, index=...) at ../../../../apps/keditbookmarks/kbookmarkmodel/model.cpp:391
#10 0x00007f07d0354ea7 in KBookmarkModel::parent (this=0xf26180, index=...) at ../../../../apps/keditbookmarks/kbookmarkmodel/model.cpp:258
Comment 9 Christoph Feck 2010-10-19 03:36:03 UTC
*** Bug 253100 has been marked as a duplicate of this bug. ***
Comment 10 Ivaylo Kabakov 2010-12-15 10:56:49 UTC
Created attachment 54575 [details]
New crash information added by DrKonqi

keditbookmarks (4.5.4 (KDE 4.5.4)) on KDE Platform 4.5.4 (KDE 4.5.4) using Qt 4.7.1

- What I was doing when the application crashed:

Drag & gropping bookmarks from one bookmark folder to another.

-- Backtrace (Reduced):
#6  QDomNode::QDomNode (this=0x7fff3a091320, n=...) at dom/qdom.cpp:2038
#7  0x0000003719e11e1d in KBookmark (this=<value optimized out>) at /usr/include/kde4/kbookmark.h:35
#8  TreeItem::bookmark (this=<value optimized out>) at /usr/src/debug/kdebase-4.5.4/apps/keditbookmarks/kbookmarkmodel/treeitem.cpp:87
#9  0x0000003719e10016 in KBookmarkModel::bookmarkForIndex (this=<value optimized out>, index=<value optimized out>) at /usr/src/debug/kdebase-4.5.4/apps/keditbookmarks/kbookmarkmodel/model.cpp:391
#10 0x0000003719e10098 in KBookmarkModel::parent (this=0x1add4c0, index=...) at /usr/src/debug/kdebase-4.5.4/apps/keditbookmarks/kbookmarkmodel/model.cpp:258
Comment 11 Ivaylo Kabakov 2010-12-15 11:03:58 UTC
Created attachment 54577 [details]
New crash information added by DrKonqi

keditbookmarks (4.5.4 (KDE 4.5.4)) on KDE Platform 4.5.4 (KDE 4.5.4) using Qt 4.7.1

- What I was doing when the application crashed:

Drag & gropping bookmarks from one bookmark folder to another.

-- Backtrace (Reduced):
#6  QDomNode::QDomNode (this=0x7fff3a091320, n=...) at dom/qdom.cpp:2038
#7  0x0000003719e11e1d in KBookmark (this=<value optimized out>) at /usr/include/kde4/kbookmark.h:35
#8  TreeItem::bookmark (this=<value optimized out>) at /usr/src/debug/kdebase-4.5.4/apps/keditbookmarks/kbookmarkmodel/treeitem.cpp:87
#9  0x0000003719e10016 in KBookmarkModel::bookmarkForIndex (this=<value optimized out>, index=<value optimized out>) at /usr/src/debug/kdebase-4.5.4/apps/keditbookmarks/kbookmarkmodel/model.cpp:391
#10 0x0000003719e10098 in KBookmarkModel::parent (this=0x1add4c0, index=...) at /usr/src/debug/kdebase-4.5.4/apps/keditbookmarks/kbookmarkmodel/model.cpp:258
Comment 12 Ivaylo Kabakov 2010-12-15 11:03:58 UTC
Created attachment 54576 [details]
New crash information added by DrKonqi

keditbookmarks (4.5.4 (KDE 4.5.4)) on KDE Platform 4.5.4 (KDE 4.5.4) using Qt 4.7.1

- What I was doing when the application crashed:

Drag & gropping bookmarks from one bookmark folder to another.

-- Backtrace (Reduced):
#6  QDomNode::QDomNode (this=0x7fff3a091320, n=...) at dom/qdom.cpp:2038
#7  0x0000003719e11e1d in KBookmark (this=<value optimized out>) at /usr/include/kde4/kbookmark.h:35
#8  TreeItem::bookmark (this=<value optimized out>) at /usr/src/debug/kdebase-4.5.4/apps/keditbookmarks/kbookmarkmodel/treeitem.cpp:87
#9  0x0000003719e10016 in KBookmarkModel::bookmarkForIndex (this=<value optimized out>, index=<value optimized out>) at /usr/src/debug/kdebase-4.5.4/apps/keditbookmarks/kbookmarkmodel/model.cpp:391
#10 0x0000003719e10098 in KBookmarkModel::parent (this=0x1add4c0, index=...) at /usr/src/debug/kdebase-4.5.4/apps/keditbookmarks/kbookmarkmodel/model.cpp:258
Comment 13 sam 2011-01-16 03:01:42 UTC
Created attachment 56068 [details]
New crash information added by DrKonqi

keditbookmarks (4.5.1 (KDE 4.5.1)) on KDE Platform 4.5.1 (KDE 4.5.1) using Qt 4.7.0

- What I was doing when the application crashed:

(same as the main report - imported lots of bookmarks and tried to re-arrange them - resulting in a crash.)

-- Backtrace (Reduced):
#7  0x00e56449 in QDomNode::QDomNode (this=0xbf9a92ec, n=...) at dom/qdom.cpp:2038
#8  0x00e57994 in QDomElement::QDomElement (this=0xbf9a92ec, x=...) at dom/qdom.cpp:4738
#9  0x001d829c in KBookmark (this=0x0) at /usr/include/kbookmark.h:35
#10 TreeItem::bookmark (this=0x0) at ../../../../apps/keditbookmarks/kbookmarkmodel/treeitem.cpp:87
#11 0x001d58c0 in KBookmarkModel::bookmarkForIndex (this=0x841c4d8, index=...) at ../../../../apps/keditbookmarks/kbookmarkmodel/model.cpp:391
Comment 14 Dmitriy 2011-02-17 19:39:55 UTC
Created attachment 57333 [details]
New crash information added by DrKonqi

keditbookmarks (4.6.00 (4.6.0) "release 381") on KDE Platform 4.6.00 (4.6.0) "release 381" using Qt 4.7.1

- What I was doing when the application crashed:
It crashes when i drag and drop multiple bookmarks from one folder to another.

-- Backtrace (Reduced):
#7  0xb724bdf8 in QDomNode::QDomNode (this=0xbf8508ac, n=@0x8) at dom/qdom.cpp:2038
#8  0xb724e033 in QDomElement::QDomElement (this=0xbf8508ac, x=@0x8) at dom/qdom.cpp:4738
#9  0xb756662d in KBookmark (this=0x0) at /usr/include/kbookmark.h:35
#10 TreeItem::bookmark (this=0x0) at /usr/src/debug/kdebase-4.6.0/apps/keditbookmarks/kbookmarkmodel/treeitem.cpp:87
#11 0xb75640d1 in KBookmarkModel::bookmarkForIndex (this=0x8100638, index=...) at /usr/src/debug/kdebase-4.6.0/apps/keditbookmarks/kbookmarkmodel/model.cpp:398
Comment 15 Dario Andres 2011-02-19 23:47:52 UTC
[Comment from a bug triager]
From bug 266642:
-- Information about the crash:
I selected multiple bookmarks (maybe 12) to move from one folder to a different
existing folder, dragged them over the target folder and upon release the Edit
Bookmark app crashed.
--
Experimented a little more with this.  I could drag/drop up to 5 bookmarks at a
time without EditBookmarks crashing.  Move 6 or more and the app crashes.
Comment 16 Dario Andres 2011-02-19 23:48:02 UTC
*** Bug 266642 has been marked as a duplicate of this bug. ***
Comment 17 Volker Kuhlmann 2011-05-15 13:58:29 UTC
Created attachment 60020 [details]
New crash information added by DrKonqi

keditbookmarks (4.6.00 (4.6.0) "release 6") on KDE Platform 4.6.00 (4.6.0) "release 6" using Qt 4.7.1

- What I was doing when the application crashed:

Select about 10 bookmarks in one folder, drag them into another folder. Segfault always.

-- Backtrace (Reduced):
#6  QDomNode::QDomNode (this=0x7fffc8c297b0, n=...) at dom/qdom.cpp:2038
#7  0x00002b578d9b53dd in KBookmark (this=<value optimized out>) at /usr/include/kbookmark.h:35
#8  TreeItem::bookmark (this=<value optimized out>) at /usr/src/debug/kdebase-4.6.0/apps/keditbookmarks/kbookmarkmodel/treeitem.cpp:87
#9  0x00002b578d9b33a6 in KBookmarkModel::bookmarkForIndex (this=<value optimized out>, index=<value optimized out>) at /usr/src/debug/kdebase-4.6.0/apps/keditbookmarks/kbookmarkmodel/model.cpp:398
#10 0x00002b578d9b3428 in KBookmarkModel::parent (this=0x7593d0, index=...) at /usr/src/debug/kdebase-4.6.0/apps/keditbookmarks/kbookmarkmodel/model.cpp:265
Comment 18 Vladislav Blanton 2011-05-18 00:49:08 UTC
Created attachment 60093 [details]
New crash information added by DrKonqi

keditbookmarks (4.6.3 (4.6.3)) on KDE Platform 4.6.3 (4.6.3) using Qt 4.7.2

- What I was doing when the application crashed:

Dragging with my mouse 4 selected bookmarks in a folder into a folder 1 level deeper. The sub-folder was newly created, empty and had a comma in its name. Immediately crashed upon releasing the mouse while hovering over the selected/highlighted subfolder.

- Custom settings of the application:
none that i know of. i do not believe this is associated with importing bookmarks from somewhere else and i don't remember if i did or did not do this earlier.

-- Backtrace (Reduced):
#7  0x00552489 in QDomNode::QDomNode (this=0xbf8af4fc, n=...) at dom/qdom.cpp:2038
#8  0x00554664 in QDomElement::QDomElement (this=0xbf8af4fc, x=...) at dom/qdom.cpp:4738
#9  0x0011f8ec in KBookmark (this=0x0) at /usr/include/kbookmark.h:35
#10 TreeItem::bookmark (this=0x0) at ../../../keditbookmarks/kbookmarkmodel/treeitem.cpp:87
#11 0x0011d740 in KBookmarkModel::bookmarkForIndex (this=0x85363a0, index=...) at ../../../keditbookmarks/kbookmarkmodel/model.cpp:396
Comment 19 Jordan Klassen 2011-06-10 06:52:10 UTC
Created attachment 60850 [details]
New crash information added by DrKonqi

keditbookmarks (4.6.00 (4.6.0) "release 6") on KDE Platform 4.6.00 (4.6.0) "release 6" using Qt 4.7.1

- What I was doing when the application crashed:
Dragging bookmarks from one folder to another.
- Custom settings of the application:
Bookmarks imported from google chrome.

-- Backtrace (Reduced):
#6  QDomNode::QDomNode (this=0x7fff159581a0, n=...) at dom/qdom.cpp:2038
#7  0x00007fa5df93b3dd in KBookmark (this=<value optimized out>) at /usr/include/kbookmark.h:35
#8  TreeItem::bookmark (this=<value optimized out>) at /usr/src/debug/kdebase-4.6.0/apps/keditbookmarks/kbookmarkmodel/treeitem.cpp:87
#9  0x00007fa5df9393a6 in KBookmarkModel::bookmarkForIndex (this=<value optimized out>, index=<value optimized out>) at /usr/src/debug/kdebase-4.6.0/apps/keditbookmarks/kbookmarkmodel/model.cpp:398
#10 0x00007fa5df939428 in KBookmarkModel::parent (this=0x6c5790, index=...) at /usr/src/debug/kdebase-4.6.0/apps/keditbookmarks/kbookmarkmodel/model.cpp:265
Comment 20 Aleksandar Ostojic 2011-07-10 09:47:29 UTC
Created attachment 61749 [details]
New crash information added by DrKonqi

keditbookmarks (4.6.2 (4.6.2)) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:

Drag and dropped a selection of multiple bookmarks.

-- Backtrace (Reduced):
#6  QDomNode::QDomNode (this=0x7fff625d4310, n=...) at dom/qdom.cpp:2038
#7  0x00007fcaf3097ded in KBookmark (this=<value optimized out>) at /usr/include/kbookmark.h:35
#8  TreeItem::bookmark (this=<value optimized out>) at ../../../keditbookmarks/kbookmarkmodel/treeitem.cpp:87
#9  0x00007fcaf3095f56 in KBookmarkModel::bookmarkForIndex (this=<value optimized out>, index=<value optimized out>) at ../../../keditbookmarks/kbookmarkmodel/model.cpp:396
#10 0x00007fcaf3095fc1 in KBookmarkModel::parent (this=0x2402350, index=...) at ../../../keditbookmarks/kbookmarkmodel/model.cpp:263
Comment 21 Ivaylo Kabakov 2011-09-09 13:12:02 UTC
Created attachment 63529 [details]
New crash information added by DrKonqi

keditbookmarks (4.6.5 (4.6.5)) on KDE Platform 4.6.5 (4.6.5) using Qt 4.7.4

- What I was doing when the application crashed:

Moved the bookmarks from a sub-folder to its parent folder.

-- Backtrace (Reduced):
#6  QDomNode::QDomNode (this=0x7fff591352e0, n=...) at dom/qdom.cpp:2038
#7  0x00000035b5611d7d in KBookmark (this=0x7fff591352e0) at /usr/include/kde4/kbookmark.h:34
#8  TreeItem::bookmark (this=<optimized out>) at /usr/src/debug/kdebase-4.6.5/keditbookmarks/kbookmarkmodel/treeitem.cpp:87
#9  0x00000035b560fd55 in KBookmarkModel::bookmarkForIndex (this=<optimized out>, index=<optimized out>) at /usr/src/debug/kdebase-4.6.5/keditbookmarks/kbookmarkmodel/model.cpp:396
#10 0x00000035b560fdc0 in KBookmarkModel::parent (this=0x16714e0, index=...) at /usr/src/debug/kdebase-4.6.5/keditbookmarks/kbookmarkmodel/model.cpp:263
Comment 22 Christoph Feck 2012-01-06 16:48:11 UTC
*** Bug 290570 has been marked as a duplicate of this bug. ***
Comment 23 Tommi Tervo 2012-06-11 17:09:27 UTC
*** Bug 301493 has been marked as a duplicate of this bug. ***
Comment 24 Tommi Tervo 2012-06-11 17:12:52 UTC
*** Bug 294031 has been marked as a duplicate of this bug. ***
Comment 25 Jekyll Wu 2012-06-23 15:26:01 UTC
*** Bug 257557 has been marked as a duplicate of this bug. ***
Comment 26 Aleksander Kwiatkowski 2013-02-15 12:24:05 UTC
Created attachment 77322 [details]
New crash information added by DrKonqi

keditbookmarks (4.8.4 (4.8.4)) on KDE Platform 4.8.4 (4.8.4) using Qt 4.8.2

- What I was doing when the application crashed:

It occurs when moving node to other location, as it would be "wrong" or when I try to sort recursively and "wrong" node is within subtree.

- Custom settings of the application:

-- Backtrace (Reduced):
#5  0x00007fdc77e22060 in QDomNode::QDomNode(QDomNode const&) () from /usr/lib/x86_64-linux-gnu/libQtXml.so.4
[...]
#7  0x00007fdc7876ba95 in KBookmarkModel::bookmarkForIndex(QModelIndex const&) const () from /usr/lib/libkbookmarkmodel_private.so.4
#8  0x00007fdc7876bafd in KBookmarkModel::parent(QModelIndex const&) const () from /usr/lib/libkbookmarkmodel_private.so.4
[...]
#12 0x00007fdc76fbd154 in QAbstractItemModel::rowsAboutToBeInserted(QModelIndex const&, int, int) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#13 0x00007fdc76f553c6 in QAbstractItemModel::beginInsertRows(QModelIndex const&, int, int) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
Comment 27 David Edmundson 2013-03-31 22:01:49 UTC
*** Bug 317492 has been marked as a duplicate of this bug. ***
Comment 28 Dawit Alemayehu 2013-06-24 01:08:42 UTC

*** This bug has been marked as a duplicate of bug 287038 ***